### Method

# Camel StreamBuffer gets

#### Declaration [src]

    gint
    camel_stream_buffer_gets (
      CamelStreamBuffer* sbf,
      gchar* buf,
      guint max,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Read a line of characters up to the next newline character or `max`-1 characters.

If the newline character is encountered, then it will be included in the buffer `buf`. The buffer will be `NULL` terminated.

#### Parameters

`buf`

  Type: An array of `gchar`

  Memory to write the string to.

  The length of the array is specified in the `max` argument.
  The data is owned by the caller of the method.

`max`

  Type: `guint`

  Maxmimum number of characters to store.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

The number of characters read, or 0 for end of file, and -1 on error.